package com.ejie.y42b.model;



/**
 * PerfilesXlnets  
 *  
 */

public class PerfilesXlnets  implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
            private String idPerfilxlnet;
            private String perfilxlnet;
            private String tipoacceso;

	/** 
	 * Method 'PerfilesXlnets'.
	 */
    public PerfilesXlnets() {
    }


	
    
    /** 
     * Method 'PerfilesXlnets'.
     * @param idPerfilxlnet String
     */    
     public PerfilesXlnets(String idPerfilxlnet) {
          this.idPerfilxlnet = idPerfilxlnet;
	}

    

    /** 
     * Method 'PerfilesXlnets'.
     * @param idPerfilxlnet String
     * @param perfilxlnet String
     * @param tipoacceso String
     */
   public PerfilesXlnets(String idPerfilxlnet, String perfilxlnet, String tipoacceso) {	

           this.idPerfilxlnet = idPerfilxlnet;
           this.perfilxlnet = perfilxlnet;
           this.tipoacceso = tipoacceso;
    }

    /**
	 * Method 'getIdPerfilxlnet'.
	 *
	 * @return String
	 */
	
	
	public String getIdPerfilxlnet() {
		return this.idPerfilxlnet;
	}

	/**
	 * Method 'setIdPerfilxlnet'.
	 *
	 * @param idPerfilxlnet String
	 * @return
     */
	
	public void setIdPerfilxlnet(String idPerfilxlnet) {
		this.idPerfilxlnet = idPerfilxlnet;
	}
    /**
	 * Method 'getPerfilxlnet'.
	 *
	 * @return String
	 */
	
	
	public String getPerfilxlnet() {
		return this.perfilxlnet;
	}

	/**
	 * Method 'setPerfilxlnet'.
	 *
	 * @param perfilxlnet String
	 * @return
     */
	
	public void setPerfilxlnet(String perfilxlnet) {
		this.perfilxlnet = perfilxlnet;
	}
    /**
	 * Method 'getTipoacceso'.
	 *
	 * @return String
	 */
	
	
	public String getTipoacceso() {
		return this.tipoacceso;
	}

	/**
	 * Method 'setTipoacceso'.
	 *
	 * @param tipoacceso String
	 * @return
     */
	
	public void setTipoacceso(String tipoacceso) {
		this.tipoacceso = tipoacceso;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { " ); 
		result.append(" [ idPerfilxlnet: ").append(this.idPerfilxlnet).append(" ]");
		result.append(", [ perfilxlnet: ").append(this.perfilxlnet).append(" ]");
		result.append(", [ tipoacceso: ").append(this.tipoacceso).append(" ]");
		result.append("}");
		return result.toString();
	}


}

